@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Anton&family=M+PLUS+Rounded+1c:wght@400;700&display=swap');
/*
|---------------------------------------------------------------
| Dog-X | History of Megabass
|---------------------------------------------------------------
|
| 2026.06 デザイン変更
|
*/
:root {
  --dogx2026-timeline-color: #000000;
  --dogx2026-timeline-border-width: 3px;
  --dogx2026-timeline-border-y: 25px;
  --dogx2026-timeline-border-x: 15px;
  --dogx2026-timeline-padding-x: 15px;
  --dogx2026-year-font-size: 12px;
  --dogx2026-year-width: calc(var(--dogx2026-year-font-size) * 4);
}
@media (min-width: 1000.02px) {
  :root {
    --dogx2026-timeline-border-width: 6px;
    --dogx2026-timeline-border-y: 50px;
    --dogx2026-timeline-border-x: 40px;
    --dogx2026-timeline-padding-x: 50px;
    --dogx2026-year-font-size: 35px;
  }
}

/*
 * Timeline
------------------------------------------------*/
.dogx2026-timeline {
  width: 100%;
  max-width: calc(860px + var(--dogx2026-year-width) * 2);
  padding: var(--dogx2026-timeline-border-y, 0px) 0;
  padding-left: var(--dogx2026-year-width, 0);
  margin: 0 auto;
  position: relative;
}
@media (min-width: 1000.02px) {
  .dogx2026-timeline {
    padding-left: var(--dogx2026-year-width, 0);
    padding-right: var(--dogx2026-year-width, 0);
  }
}

.dogx2026-timeline__group {
  width: 100%;
  padding: var(--dogx2026-timeline-border-y, 0px) var(--dogx2026-timeline-padding-x, 0px);
  position: relative;
}
.dogx2026-timeline__group::before {
  content: "";
  display: block;
  width: var(--dogx2026-timeline-border-width);
  height: var(--dogx2026-height, auto);
  background: var(--dogx2026-timeline-color);
  border-radius: var(--dogx2026-timeline-border-width);
  position: absolute;
  top: calc(-1 * var(--dogx2026-timeline-border-y, 0));
  left: 0;
  bottom: var(--dogx2026-position-bottom, 0);
  z-index: 2;
  margin: auto;
}
.dogx2026-timeline__group:last-child {
  --dogx2026-height: calc(var(--dogx2026-timeline-border-y) * 2);
  --dogx2026-position-bottom: auto;
}
.dogx2026-timeline__group::after {
  content: "";
  display: block;
  width: var(--dogx2026-timeline-border-x);
  height: var(--dogx2026-timeline-border-width);
  background: var(--dogx2026-timeline-color);
  border-radius: var(--dogx2026-timeline-border-width);
  position: absolute;
  top: 0;
  left: calc(-1 * var(--dogx2026-timeline-border-x, 0px) / 2 + var(--dogx2026-timeline-border-width) / 2);
  z-index: 2;
  margin: auto;
}
.dogx2026-timeline__group__year {
  width: 100%;
  max-width: calc(var(--dogx2026-year-width, 100%) + var(--dogx2026-timeline-border-x, 0px) / 2);
  padding: 0 calc(var(--dogx2026-timeline-border-x, 0px) / 2);
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-size: var(--dogx2026-year-font-size) !important;
  font-weight: 700 !important;
  line-height: 1 !important;
  color: var(--dogx2026-timeline-color);
  text-align: center !important;
  position: absolute;
  top: calc(-1 * var(--dogx2026-year-font-size, 0) / 2 + var(--dogx2026-timeline-border-width) / 2);
  left: auto;
  right: 100%;
  bottom: auto;
  z-index: 2;
  margin: auto !important;
}
.dogx2026-timeline__group__body {
  width: 100%;
}

/*
 * LINE UP
------------------------------------------------*/
.dogx2026-lineup {
  --c-padding-x: 20px;
  --c-title-font-size: 20px;
  width: 100%;
  display: grid;
  grid-template-areas: "title" "image" "spec" "content";
  text-align: left;
  font-size: 14px !important;
}
.dogx2026-lineup__title {
  grid-area: title;
  font-size: var(--c-title-font-size, 1em) !important;
  padding: 0 var(--c-padding-x);
}
.dogx2026-lineup__spec {
  grid-area: spec;
  display: block;
  width: 100%;
  padding: 0 var(--c-padding-x);
  /* text-align: center; */
}
.dogx2026-lineup__image {
  grid-area: image;
  display: block;
  width: 100%;
}
.dogx2026-lineup__content {
  grid-area: content;
  display: block;
  width: 100%;
  padding: 1em var(--c-padding-x);
  font-size: 1em !important;
  color: #000000;
  background-image: linear-gradient(#ffffff 0%, #dcdddd 100%);
}
@media (min-width: 1000.02px) {
  .dogx2026-lineup {
    --c-padding-x: 20px;
    --c-title-font-size: 32px;
    grid-template-areas: "title image" "spec image" "content content";
    grid-template-columns: minmax(0, 1fr) 50%;
    grid-template-rows: auto minmax(0, 1fr) auto;
    gap: 5px;
    font-size: 15px !important;
  }
  .dogx2026-lineup__spec {
    text-align: left;
  }
}

.dogx2026-lineup-ito {
  display: block;
  width: 6em;
  max-width: 100%;
}
.dogx2026-lineup-ito img {
  display: block;
  width: 100%;
  height: auto;
}

.dogx2026-lineup-name {
  font-size: 1em !important;
  font-weight: 600;
}

.dogx2026-lineup-spec {
  list-style: none;
  padding: 0;
  font-size: 1em !important;
  font-weight: 500;
  line-height: 1.5;
}
.dogx2026-lineup-spec > li {
  line-height: inherit !important;
}

.dogx2026-lineup-image {
  display: block;
  width: 100%;
}
.dogx2026-lineup-image img {
  display: block;
  width: 100%;
  height: auto;
}

.dogx2026-lineup-content {
  display: block;
  width: 100%;
  font-size: 1em !important;
  font-weight: 500;
}

/* アコーディオン */
.dogx2026-lineup-contentMore {
  display: none;
  margin: 15px 0 0;
}
.dogx2026-lineup-contentMore__btn {
  display: block;
  width: 100%;
  height: auto;
  padding: 0.45em;
  color: #000000;
  background: #ffffff;
  text-align: center;
}
.dogx2026-lineup-contentMore__btn__text {
  display: inline-flex;
  justify-content: center;
  align-items: center;
}
.dogx2026-lineup-contentMore__btn__text::before {
  content: "";
  flex-shrink: 0;
  margin-right: 0.5em;
  display: block;
  width: 15px;
  height: 15px;
  background-image: linear-gradient(#000), linear-gradient(#000);
  background-position: center;
  background-size: 100% 3px, 3px 100%;
  background-repeat: no-repeat;
}
.dogx2026-lineup-contentMore__btn__text.is-opened {
  display: var(--c-opened-display, inline-flex);
}
.dogx2026-lineup-contentMore__btn__text.is-closed {
  display: var(--c-closed-display, inline-flex);
}
.dogx2026-lineup-contentMore__btn__text.is-opened::before {
  background-size: 100% 3px, 0px 100%;
}
.dogx2026-lineup-contentMore__btn__text.is-closed::before {
  background-size: 100% 3px, 3px 100%;
}
@media (max-width: 1000px) {
  input:not(:checked) ~ .dogx2026-lineup-content {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    box-orient: vertical;
    -webkit-line-clamp: 5;
    line-clamp: 5;
    overflow: hidden;
  }
  .dogx2026-lineup-contentMore {
    display: block;
  }
  input:not(:checked) ~ .dogx2026-lineup-contentMore {
    --c-opened-display: none;
  }
  input:checked ~ .dogx2026-lineup-contentMore {
    --c-closed-display: none;
  }
}

/*
 * SHOPPING
------------------------------------------------*/
#history #history_shopping span { /* reset */
  position: static;
}

.dogx2026-products {
  width: 100%;
  max-width: 540px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(min(150px, 100%), 1fr));
  gap: 10px;
}

.dogx2026-product {
  display: block;
  width: 100%;
  border: 1px solid #323232;
}
.dogx2026-product__image {
  display: block;
  width: 100%;
  margin: 0;
}
.dogx2026-product__image img {
  display: block;
  width: 100%;
  height: auto;
  aspect-ratio: 375 / 250;
  object-fit: cover;
}
.dogx2026-product__body {
  display: block;
  width: 100%;
  margin: 0;
}

.dogx2026-product-name {
  display: block;
  font-family: "Anton", sans-serif;
  font-size: 1em !important;
  font-weight: 400;
  text-align: center;
}
